---
title: News
slug: valueserp/search-api/searches/google/news
docTags: 
createdAt: 2024-08-03T11:00:15.050Z
---

# Google News Parameters

<font color="#52c41a">`GET`</font>  `/search?search_type=news`

The Google News Parameters are applicable when making a request with  `search_type=news`  to retrieve news results for a given search term. The search term is specified in the  `q`  parameter and the optional  `location`  parameter can be used to geo-locate the news request (locations can be retrieved via the [Locations API](https://docs.trajectdata.com/valueserp/locations-api/overview)).

You can use the  `time_period`  request parameter to refine your news search to specific time periods.

If you wish to exclude news results where Google have modified the original query set  `exclude_if_modified=true`  in your request parameters.

![](https://apiimages.imgix.net/valueserp/images/png/docs/google_news.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Google News Results")

For example, to request news results for the keyword  `pizza`  in the location  `United States` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.valueserp.com/search?api_key=demo&search_type=news&q=pizza&location=United+States
```

```curl
curl -L --get https://api.valueserp.com/search \
-d api_key="demo" \
-d q="pizza" \
-d search_type="news" \
-d location="United+States"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  q: "pizza",
  search_type: "news",
  location: "United+States"
}

// make the http GET request
axios.get('https://api.valueserp.com"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'q': 'pizza',
  'search_type': 'news',
  'location': 'United+States'
}

# make the http GET request
api_result = requests.get('https://api.valueserp.com/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'q' => 'pizza',
  'search_type' => 'news',
  'location' => 'United+States'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.valueserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google News Parameters

The following parameters are available for all requests made when  `search_type=news` .

| `Parameter`           | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| --------------------- | ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `search_type`         | `required` | Should be set to `search_type=news` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `q`                   | `required` | The keyword you want to use to perform the News search.                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `location`            | `optional` | Determines the geographic location in which the query is executed. You can enter any location as free-text, but if you choose one of the VALUE SERP [built-in locations ](https://docs.trajectdata.com/valueserp/locations-api/overview)then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location (note that this behaviour can be disabled via the `location_auto` parameter).                                         |
| `location_auto`       | `optional` | If the `location` field is set to a VALUE SERP [built-in location ](https://docs.trajectdata.com/valueserp/locations-api/overview)from the [Locations API ](https://docs.trajectdata.com/valueserp/locations-api/overview), and `location_auto` is set to `true` (default) then the `google_domain` , `gl` and `hl` parameters are automatically updated to the domain, country and language that match the built-in location. Valid values are `true` (default) to enable this behaviour or `false` to disable. |
| `uule`                | `optional` | The Google UULE parameter - use to pass through a custom `uule` parameter to Google. VALUE SERP automatically generates the `uule` when you use the `location` parameter but we allow you to overwrite it directly by specifying a `uule` directly.                                                                                                                                                                                                                                                              |
| `google_domain`       | `optional` | The Google domain to use to run the search query. View the full list of supported `google_domain` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-domains). Defaults to `google.com` .                                                                                                                                                                                                                                                                                         |
| `gl`                  | `optional` | The `gl` parameter determines the Google country to use for the query. View the full list of supported `gl` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-countries). Defaults to `us` .                                                                                                                                                                                                                                                                                     |
| `hl`                  | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-languages). Defaults to `en` .                                                                                                                                                                                                                                                                                    |
| `lr`                  | `optional` | The `lr` parameter limits the results to websites containing the specified language. View the full list of supported `lr` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-lr-languages).                                                                                                                                                                                                                                                                                       |
| `cr`                  | `optional` | The `cr` parameter instructs Google to limit the results to websites in the specified country. View the full list of supported `cr` values [here ](https://docs.trajectdata.com/valueserp/search-api/reference/google-cr-countries).                                                                                                                                                                                                                                                                             |
| `time_period`         | `optional` | Determines the time period of the results shown. It can be set to `last_hour` , `last_day` (for the last 24 hours), `last_week` (for the last 7 days), `last_month` , `last_year` or `custom` . When using `custom` you must also specifiy one or both of the `time_period_min` or `time_period_max` parameters to define the custom time period.                                                                                                                                                                |
| `time_period_min`     | `optional` | Determines the minimum (i.e. 'from') time to use when `time_period` is set to `custom` . Should be in the form `MM/DD/YYYY` , I.e. for 31st December 2018 `time_period_min` would be `12/31/2018` .                                                                                                                                                                                                                                                                                                              |
| `time_period_max`     | `optional` | Determines the maximum (i.e. 'to') time to use when `time_period` is set to `custom` . Should be in the form `MM/DD/YYYY` , I.e. for 31st December 2018 `time_period_max` would be `12/31/2018` .                                                                                                                                                                                                                                                                                                                |
| `nfpr`                | `optional` | Determines whether to exclude results from auto-corrected queries that were spelt wrong. Can be set to `1` to exclude auto-corrected results, or `0` (default) to include them.                                                                                                                                                                                                                                                                                                                                  |
| `filter`              | `optional` | Determines if the filters for `Similar Results` and `Omitted Results` are on or off. Can be set to `1` (default) to enable these filters, or `0` to disable these filters.                                                                                                                                                                                                                                                                                                                                       |
| `safe`                | `optional` | Determines whether `Safe Search` is enabled for the results. Can be set to `active` to enable Safe Search, or `off` to disable Safe Search.                                                                                                                                                                                                                                                                                                                                                                      |
| `page`                | `optional` | Determines the page of results to return, defaults to `1` .                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| `max_page`            | `optional` | Use the `max_page` parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.  <br />See the [Pagination ](https://docs.trajectdata.com/valueserp/search-api/pagination)docs for more information.                                                                                                                                                                                                              |
| `tbs`                 | `optional` | Sets a specific string to be added to the Google `tbs` parameter in the underlying Google query. The `tbs` parameter is normally generated automatically by the API, but it can be set explicitly also.                                                                                                                                                                                                                                                                                                          |
| `sort_by`             | `optional` | Determines how results are sorted, valid values are `relevance` or `date` . Note that when `sort_by=date` the `show_duplicates` parameter can be used.                                                                                                                                                                                                                                                                                                                                                           |
| `show_duplicates`     | `optional` | Determines whether duplicates are shown in the news results. Must be used in conjunction with the `sort_by` parameter where `sort_by` is set to `date` . Valid values are `true` or `false` . Defaults to `false` .                                                                                                                                                                                                                                                                                              |
| `exclude_if_modified` | `optional` | Determines whether the `news_results` returned when Google modifies the original query. Set to `true` to exclude `news_results` when Google modifies the original query or `false` (the default) to include `news_results` when Google modifies the original query.                                                                                                                                                                                                                                              |

***

**Next Steps**
     [Google News Results](https://docs.trajectdata.com/valueserp/search-api/results/google/news)
